package org.syndicate_lang.actors;

public class Ref {
    private final Actor _actor;
    private final IEntity _target;

    public Ref(Actor actor, IEntity target) {
        this._actor = actor;
        this._target = target;
    }

    public Actor getActor() {
        return _actor;
    }

    IEntity getEntity() {
        return _target;
    }

    @Override
    public String toString() {
        return this.getClass().getSimpleName() + "(" + this._actor.getName() + "::" + this._target + ")";
    }
}
